<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작업날짜 : 2024년 04월 07일 일요일 오후 20시 24분 / 맑음, 19.0, 일교차 주의, 22, 6, 0%, 0%, 1.3ms / 상당히 나쁨, 77, 43, 0.012

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 관리자 > 프로그램 > 피리 카페 관리 > 카페 분류 관리 > 입력하기, 수정하기 > 처리하기
=====================================================================


*/

  include_once('./_common.php' );

  auth_check_menu($auth, $sub_menu, 'w');

/*
  * PIREE_SOSS
  * 피리 PIREE ( piree1977@gmail.com )
  * Ver 2.0.0
*/

  include_once( piree__path($piree_prog_a[770000]['num'], 'save.lib.php') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'category.smallint.2.lib.php') );

  $cate_n      = save__str($_POST['cate_n']);
  $cate_name_l_s = save__str($_POST['cate_name_l_s']);
  $view_mode   = save__str($_POST['view_mode']);


  IF ( !$cate_name_l_s )
  {
      alert ("[ 카페 분류 이름 ]을 입력해 주세요.");
  }

  $get__p770099 = 1;

  $prog_config_page = 0;

  include_once( piree__path($sub_menu, 'config') );

  $cate_1_s = '';
  $cate_2_s = '';
  $cate_s_p = '';

  $category_save_a = array();

  $sql_common_a = array();

  $cate_parent_n = 0;

  $cate_depth_n = 1;

  $cate_n_p = '';

  $cate_1_n = 0;
  $cate_2_n = 0;

  $cate_sub_t = 0;

  $cate_member_t = 0;

  $category_row = array();

  IF ( $cate_n > 0 )
  {

      $sql = "SELECT * FROM `". $piree['category'] ."` WHERE `cate_n` = '". $cate_n ."'";
      $category_row = sql_fetch($sql);

      IF ( $cate_n != $category_row['cate_n'] )
      {

          alert ("선택된 [ 카페 분류 정보 ]가 없습니다.1");
      }

  }

  IF ( $cate_n > 0 )
  {

      IF ( $cate_n == $category_row['cate_n'] )
      {

          IF ( $mode != 'update' )
          {

              IF ( $category_row['cate_depth_n'] > 2 )
              {
                  alert ("3단계 이상의 카페 분류를 등록할수 없습니다.");
              }

          }

          $cate_1_n = $category_row['cate_1_n'];
          $cate_2_n = $category_row['cate_2_n'];

          $cate_depth_n = $category_row['cate_depth_n'];

          $cate_parent_n  = $category_row['cate_parent_n'];
          $cate_sub_t      = $category_row['cate_sub_t'];

      }

  }

      IF ( $mode == 'update' )
      {

          IF ( !$cate_name_l_s )
          {
              alert ("[ 카페 분류 이름 ]을 입력해 주세요.");
          }

          $save_active_c = "수정";

          $category_save_a[$cate_n]['cate_name_l_s'] = $cate_name_l_s;

          $sql_in_s .= "`cate_modi_time_n`    = '". G5_SERVER_TIME ."', ";

          # 칼럼_저장__쿼리문
          $sql_common_a[$cate_n] = $sql_in_s;

      }
      ELSE
      {

              $save_active_c = "입력";

              IF ( $cate_n > 0 )
              {

                  IF ( $cate_n == $category_row['cate_n'] )
                  {

                      $cate_parent_n = $category_row['cate_n'];

                      $cate_1_s = $category_row['cate_1_s'];

                      $cate_depth_n++;

                      IF ( $cate_depth_n > 2 )
                      {

                          alert ("선택된 [ 카페 분류 정보 ]가 없습니다.");
                      }

                  }

              }

              $loop_row_a = array();

              $loop_row_a[] = $cate_name_l_s;

              IF ( $category_multi_s )
              {

                  $ex_out_s = explode("\n", $category_multi_s);

                  WHILE ( list($key, $val) = each($ex_out_s) )
                  {

                      $loop_var = trim($val);

                      IF ( $loop_var )
                      {

                          $loop_row_a[] = trim($loop_var);

                      }

                  }

              }

              IF ( !count($loop_row_a) )
              {
                  alert ("저장할 카페 분류를 1개 이상 입력해 주세요.");
              }

              FOREACH ( $loop_row_a AS $key=>$val )
              {

                  $ex_in_s = explode("|", $val);

                  $loop_cate_name_l_s = trim($ex_in_s[0]);

                  IF ( $loop_cate_name_l_s )
                  {

                      $sql_select  = "SELECT COUNT(*) FROM `". $piree['category'] ."` ";
                      $sql_select .= "WHERE `cate_name_l_s` = '". $loop_cate_name_l_s ."' AND `cate_depth_n` = '". $cate_depth_n ."' AND `cate_parent_n` = '". $cate_parent_n ."'";
                      $exist_t = sql_efv($sql_select);

                      IF ( $exist_t > 0 )
                      {
                          alert ("같은 위치에 카페 분류 [". $loop_cate_name_l_s ."] 이(가) 이미 있습니다.");
                      }

                      $cate_n = get_new_cate_num_smallint2($cate_parent_n, $cate_depth_n);

                      $cate_1_n = 0;
                      $cate_2_n = 0;

                      $cate_2_s = '';
                      $cate_s_p = '';

                      SWITCH ( $cate_depth_n )
                      {

                          CASE 1 :

                            $cate_1_n = $cate_n;

                            $cate_n_p = $cate_1_n .'--';

                            $cate_1_s = $loop_cate_name_l_s;

                            $cate_s_p = $cate_1_s .'--';

                          BREAK;

                          CASE 2 :

                            $cate_1_n = floor($cate_n/100) * 100;

                            $cate_2_n = $cate_n;

                            $cate_n_p = $cate_1_n .'--'. $cate_2_n .'--';

                            $cate_2_s = $loop_cate_name_l_s ? $loop_cate_name_l_s : $loop_cate_name_l_s;

                            $cate_s_p = $cate_1_s .'--'. $cate_2_s .'--';

                          BREAK;

                      }

                      $sql_insert  = "INSERT INTO `". $piree['category'] ."` SET ";
                      $sql_insert .= "`cate_n`            = '". $cate_n ."', ";
                      $sql_insert .= "`cate_1_n`          = '". $cate_1_n ."', ";
                      $sql_insert .= "`cate_2_n`          = '". $cate_2_n ."', ";
                      $sql_insert .= "`cate_n_p`          = '". $cate_n_p ."', ";

                      $sql_insert .= "`cate_name_l_s`        = '". $loop_cate_name_l_s ."', ";
                      $sql_insert .= "`cate_1_s`          = '". $cate_1_s ."', ";
                      $sql_insert .= "`cate_2_s`          = '". $cate_2_s ."', ";
                      $sql_insert .= "`cate_s_p`          = '". $cate_s_p ."', ";

                      $sql_insert .= "`cate_depth_n`      = '". $cate_depth_n ."', ";
                      $sql_insert .= "`cate_parent_n`      = '". $cate_parent_n ."', ";
                      $sql_insert .= "`cate_regi_time_n`  = '". G5_SERVER_TIME ."'";

                      IF ( !sql_query($sql_insert) )
                      {

                          alert ("[ ". $loop_cate_name_l_s ." ]카페 분류를 입력하지 못했습니다.");

                      }

                      $category_save_a[$cate_n]['cate_name_l_s'] = $loop_cate_name_l_s;

                      $sql_common_a[$cate_n] = $sql_in_s;

                  }

                  $category_i_a = get_category_upper_smallint2($cate_n);

                  get_sub_category_count_depth_smallint2($category_i_a, $cate_n);

              }

      }

      IF ( count($category_save_a) > 0 )
      {

          WHILE ( list($key, $val) = each($category_save_a) )
          {

              $in_cate_n = (int)$key;

              $loop_cate_name_l_s = trim($val['cate_name_l_s']);

              IF ( $in_cate_n > 0 && $loop_cate_name_l_s )
              {

                  IF ( $sql_common_a[$in_cate_n] )
                  {

                      $category_i_a = get_category_upper_smallint2($in_cate_n);

                      $cate_1_n = $category_i_a[1];
                      $cate_2_n = $category_i_a[2];

                      $in_cate_n_p = $category_i_a[6];

                      IF ( $cate_depth_n > 1 )
                      {

                          $sql_where_s = get_category_sql_where_smallint2($category_i_a, 'cate_n');

                          $loop_cate_name_l_s_arr = get_cate_name_path_smallint2($category_i_a, $sql_where_s);

                          $category_kor_p = $loop_cate_name_l_s_arr[6];

                      }
                      ELSE
                      {

                      }

                      $loop_cate_name_l_sub_t = get_sub_category_count_single_smallint2($in_cate_n, $cate_depth_n, 0);

                      $range_1_arr = get_category_range_smallint2($in_cate_n, $cate_depth_n, 'mb_cate_n');

                      $sql  = "SELECT COUNT(*) FROM `". $g5['member_table'] ."` ";
                      $sql .= "WHERE ". $range_1_arr[2];
                      $cate_member_t = (int)sql_efv($sql);

                      # 칼럼_저장__쿼리문
                      $sql_common_s  = $sql_common_a[$in_cate_n];
                      $sql_common_s .= "`cate_name_l_s`         = '". $loop_cate_name_l_s ."', ";
                      $sql_common_s .= "`cate_1_n`         = '". $cate_1_n ."', ";
                      $sql_common_s .= "`cate_2_n`         = '". $cate_2_n ."', ";
                      $sql_common_s .= "`cate_n_p`         = '". $in_cate_n_p ."', ";
                      $sql_common_s .= "`cate_sub_t`       = '". $loop_cate_name_l_sub_t ."', ";
                      $sql_common_s .= "`cate_member_t`    = '". $cate_member_t ."', ";
                      $sql_common_s .= "`cate_relo_time_n` = '". G5_SERVER_TIME ."' ";

                      $sql_save  = "UPDATE `". $piree['category'] ."` SET ";
                      $sql_save .= $sql_common_s;
                      $sql_save .= "WHERE `cate_n` = '". $in_cate_n ."'";

                      IF ( !sql_query($sql_save) )
                      {

                          alert ("[ ". $loop_cate_name_l_s ." ]카페 분류를 ". $save_active_c ."하지 못했습니다.");
                      }

                      get_sub_category_count_depth_smallint2($category_i_a, $in_cate_n);

                  }

              }

          }

      }

  $go_url_s = "category.list.php?view_mode=". $view_mode ."&cate_n=". $cate_n ."#category_point_". $cate_n;

  goto_url($go_url_s);
  EXIT;

?>